IFSC
This is IFSC based information fetching API. In input we are receiving IFSC code and in response we will provide the branch address of the same.
https://kraken.airpay.co.in/airpay/ms/baas/api/bank-detailsHeader
Section titled “Header”| Field | Type | Description |
|---|---|---|
| affiliate | Text | Will be provided by Airpay (required) |
| checksum | Text | $string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required) |
| api-key | Text | Will be provided by airpay ( required) |
| processor-key | Text | Will be provided by airpay ( required) |
Parameter
Section titled “Parameter”| Field | Type | Required | Description |
|---|---|---|---|
| ifsc | Text | No | IFSC code provided by bank. Bank and branch details will be fetched (length 11) |
| bank_code | Text | No | Bank code returned by the Bank List API |
| branch_code | Text | No | Bank branch code mapped to branch name |
Request-Example:
Section titled “Request-Example:” curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/bank-details' \--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \--header 'Content-Type: application/x-www-form-urlencoded' \--data-urlencode 'ifsc=ABHY0012345' \--data-urlencode 'branch_code=12345' \--data-urlencode 'bank_code=ABHY'Success 200
Section titled “Success 200”| Field | Type | Description |
|---|---|---|
| status | Numeric | 400- fail,200-success(length 3, required) |
| message | Text | success, Not found Bank details |
| data | Text | { “ifsc_id”: 200001, “ifsc_code”: “ABHY0012345”, “micr_code”: "", “bank_address”: “ABHYUDAYA BANK BLDG., PALLIMUKK, KOCHI (E), KERALA-412345”, “pin_code”: 0, “branch_name”: “KALOOR”, “phone_number”: “21234567”, “branch_code”: “12345”, “added_on”: “29-03-2022” } |
Success-Response:
Section titled “Success-Response:”{ "status": "200", "message": "success", "data": [ { "ifsc_id": 200001, "ifsc_code": "ABHY0012345", "micr_code": "", "bank_address": "ABHYUDAYA BANK BLDG., PALLIMUKK, KOCHI (E), KERALA-412345", "pin_code": 0, "branch_name": "KALOOR", "phone_number": "21234567", "branch_code": "12345", "added_on": "29-03-2022" } ]}Error-Response:
Section titled “Error-Response:”{ "status": "400", "message": "Not found Bank details", "data": ""}